package com.qimai.android.widgetlib;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.widget.RelativeLayout;

/**
 * created by wangwei   ON 2019-11-04  email:wangwei_5521@163.com
 *
 * @version 1.1.1
 * @Description
 **/
public class SectionItemView extends RelativeLayout {

    public static final int TYPE_ARROW = 0;
    public static final int TYPE_CHECK = 1;
    public static final int TYPE_RADIO = 2;


    public SectionItemView(Context context) {
        this(context, null);
    }

    public SectionItemView(Context context, AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public SectionItemView(Context context, AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);

        TypedArray a = context.getTheme().obtainStyledAttributes(
                /** layout 布局配置**/
                attrs,
                R.styleable.SectionItemView,
                /** 通过attr 设置**/
                defStyleAttr,
                /** 默认样式 **/
                0
        );

        int type = a.getInteger(R.styleable.SectionItemView_type, 0);
        switch (type) {
            case TYPE_ARROW: {

            }
            case TYPE_CHECK: {

            }
            case TYPE_RADIO: {

            }
        }


        a.recycle();
    }


}
